//#include "Chassis.h"
#include <Arduino.h>
#include <HardwareSerial.h>


/// @brief Lit les capteurs VL53L1X
void Detect_adv_lire(struct detect_adv_reception_t * detect_adv_reception){
  unsigned char tampon2[14];
  //(Adresse I2c, Adresse dans le registre, tampon, longueur de donnée)
  error = I2C_lire_registre(I2C_SLAVE_detect_adv, 0, detect_adv_reception->distance_cm, 12);
  if (error !=0){
    affiche_erreur("Scan_Detect_adversaire", "Erreur I2C");
    while(1);
  }else{
    Serial.println("I2C OK");
    
  }
}
